
Smart Proxy - Feature #13544

Support IPv6 DNS in smart-proxy

02/03/2016 10:31 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: DNS   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/371,

https://github.com/theforeman/smart-pro

xy/pull/407

  

Description

Currently only A and PTR records are supported. The PTR records appear support IPv6, but this needs to be verified. AAAA record

support is completely missing.

Related issues:

Related to Foreman - Feature #2315: IPv6 Support Assigned 03/13/2013

Associated revisions

Revision b0070397 - 04/15/2016 09:04 AM - Ewoud Kohl van Wijngaarden 

Fixes #13544: Support IPv6 in DNS

Revision c858962b - 04/15/2016 11:43 AM - Ewoud Kohl van Wijngaarden 

Refs #13544: Test for AAAA record case sensetivity

History

#1 - 02/03/2016 10:32 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #7839: Support IPv6  added

#2 - 02/03/2016 10:32 AM - Ewoud Kohl van Wijngaarden

- Related to deleted (Feature #7839: Support IPv6 )

#3 - 02/03/2016 10:33 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #2315: IPv6 Support added

#4 - 02/29/2016 05:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/371 added

#5 - 04/15/2016 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b0070397ec9039aad816a94408eadf9a73fabd19.

#6 - 04/15/2016 10:09 AM - Dominic Cleal

- translation missing: en.field_release set to 136
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/b0070397ec9039aad816a94408eadf9a73fabd19


#7 - 04/15/2016 11:22 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/407 added
